Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.businessconnector.insurabilityv2.exception
Enum InsurabilityBusinessConnectorExceptionValues

    java.lang.Object
      java.lang.Enum<InsurabilityBusinessConnectorExceptionValues>
          be.ehealth.businessconnector.insurabilityv2.exception.InsurabilityBusinessConnectorExceptionValues

All Implemented Interfaces:
  Serializable, Comparable<InsurabilityBusinessConnectorExceptionValues>

    public enum InsurabilityBusinessConnectorExceptionValues

extends Enum<InsurabilityBusinessConnectorExceptionValues>

Enumeration for possible Dmg business exceptions

Enum Constant Summary
`ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR` XML is not correct: {0}
`PARAMETER_NULL` Could not find the settings file : {0}
`SOAP_EXC` SoapException occured : {0}

Method Summary
`String` | `getErrorCode()`
`String` | `getMessage()`
`static InsurabilityBusinessConnectorExceptionValues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InsurabilityBusinessConnectorExceptionValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

    public static final InsurabilityBusinessConnectorExceptionValues ERROR_XML_UNDEFINED_XSD_FOR_XML_CLASS_VALIDATOR

  XML is not correct: {0}

### PARAMETER_NULL

    public static final InsurabilityBusinessConnectorExceptionValues PARAMETER_NULL

  Could not find the settings file : {0}

### SOAP_EXC

    public static final InsurabilityBusinessConnectorExceptionValues SOAP_EXC

  SoapException occured : {0}

Method Detail

### values

    public static InsurabilityBusinessConnectorExceptionValues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InsurabilityBusinessConnectorExceptionValues c : InsurabilityBusinessConnectorExceptionValues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InsurabilityBusinessConnectorExceptionValues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getErrorCode

    public String getErrorCode()

  Returns:
    the errorCode

### getMessage

    public String getMessage()

  Returns:
    the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging generic 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.